<script>
    import UserThumb from './UserThumb.vue'

    export default {
        components: { UserThumb },
    }
</script>

<template>
    <div class="tool-bar flex flex-column justify-between bg-blue-2 xl:h-100vh w-100pr xl:w-20 py-2 xl:py-6 px-4 xl:px-2 fixed t-0 l-0 z-10">
        <div>
            <img class="w-12 xl:w-17 block mx-auto mb-2 xl:mb-10" src="@/assets/images/layout/hey-center.png" alt="">

            <!-- NAV -->
            <nav class="flex align-center xl:flex-column justify-center">
                <router-link to="/panel/chats" class="panel-link grid place-items-center h-12 w-14 cursor-pointer rounded-6 xl:mb-4">
                    <img src="@/assets/images/layout/icon-chat.svg" alt="">
                </router-link>

                <router-link to="/panel/grupos" class="panel-link grid place-items-center h-12 w-14 cursor-pointer rounded-6 mx-6 xl:mx-0 xl:mb-4">
                    <img src="@/assets/images/layout/icon-group.svg" alt="">
                </router-link>

                <router-link to="/panel/historial" class="panel-link grid place-items-center h-12 w-14 cursor-pointer rounded-6">
                    <img src="@/assets/images/layout/icon-history.svg" alt="">
                </router-link>

                <!-- USER UP XL -->
                <user-thumb class="flex xl:hidden ml-8"/>
            </nav>
        </div>

        <!-- USER UP XL -->
        <user-thumb class="hidden xl:flex"/>
    </div>
</template>     